From 447ba301bd9d24d3b60dd02d6382f64965ad7878 Mon Sep 17 00:00:00 2001
From: Ashley Whetter <awhetter.2011@my.bristol.ac.uk>
Date: Wed, 10 Jul 2013 22:44:55 +0100
Subject: [PATCH] makedeps and checkdeps are now installed together

Fixes FS#31557

Signed-off-by: Ashley Whetter <awhetter.2011@my.bristol.ac.uk>
---
 scripts/makepkg.sh.in | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 2a39157..4de0d34 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -2952,11 +2952,12 @@ else
 	fi
 
 	msg "$(gettext "Checking buildtime dependencies...")"
-	resolve_deps ${makedepends[@]} || deperr=1
+	build_depends=("${makedepends[@]}")
 
 	if (( CHECKFUNC )); then
-		resolve_deps ${checkdepends[@]} || deperr=1
+		build_depends+=("${checkdepends[@]}")
 	fi
+	resolve_deps ${build_depends[@]} || deperr=1
 
 	if (( RMDEPS )); then
 		current_pkglist=($(run_pacman -Qq))    # required by remove_deps
-- 
1.8.3.2

